File: changelog

package info (click to toggle)
smokeqt 4%3A4.14.3-1.1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 740 kB
  • ctags: 174
  • sloc: xml: 1,745; cpp: 847; ansic: 332; makefile: 19
file content (158 lines) | stat: -rw-r--r-- 4,743 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
smokeqt (4:4.14.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added g++ flag to avoid FTBFS with GCC 6. (Closes: #812002)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sat, 18 Mar 2017 13:49:35 -0300

smokeqt (4:4.14.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update watch file
  * Drop libsmokeqtwebkit4-3 and libqtwebkit-dev build-depends as part of
    getting rid of Qt4 WebKit (Closes: #784528)
    - Build-conflicts libqtwebkit-dev just to make sure

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Sep 2015 15:41:18 -0400

smokeqt (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:34 +0200

smokeqt (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:35 +0100

smokeqt (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:34 +0100

smokeqt (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:25:00 +0200

smokeqt (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Add the pkg-config build dependency.
  * Fix Vcs-Git header.

 -- Pino Toscano <pino@debian.org>  Wed, 04 Sep 2013 16:52:33 +0200

smokeqt (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:30 +0200

smokeqt (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:18:51 +0200

smokeqt (4:4.10.2-2) experimental; urgency=low

  * Bump build-deps.
  * Bump deps in -dev packages.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 18:06:10 +0000

smokeqt (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Update installed files

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 11:00:04 +0000

smokeqt (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 10:31:23 +0200

smokeqt (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency to >= 9, and compat to 9.
  * Do not manually export CXXFLAGS and LDFLAGS now, since compat v9 does
    that already.
  * Update copyright:
    - switch to copyright-format v1.0
    - add entry for myself, for last year and the current one
  * Bump smoke-dev-tools build dependency to >= 4:4.7.4.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Apr 2012 10:17:03 +0200

smokeqt (4:4.7.1-1) unstable; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Remove patch reduced-linking.diff, applied upstream.

  [ Pino Toscano ]
  * Generate libraries shlibs based on the current version.
  * Tighten the various libraries dependencies to the current version.
  * Drop version for the smoke-dev-tools dependency of libsmokeqt4-dev;
    the right version will be picked because of the stricter libsmokebase
    (indirect) dependency.
  * Bump the smoke-dev-tools build-dependency to 4.7.1.
  * Manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
    as dpkg-buildpackage does not do that anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Sep 2011 14:22:34 +0200

smokeqt (4:4.7.0-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Package QScintilla2 binding.
  * Update control:
    - add libsmokeqt4-dbg
    - update Uploaders
    - remove redundant section fields
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP-5 format, revision 174.

  [ Pino Toscano ]
  * Update control:
    - libsmokeqt4-dbg: make it break/replace kdebindings-dbg, fix Section
      and Priority
    - improve descriptions
    - require smoke-dev-tools >= 4.7.0, and make libsmokeqt4-dev depend on it
  * Update rules:
    - pass sodeps as dh addon
  * Update lintian overrides.
  * Update copyright.
  * Add patch reduced-linking.diff (committed also upstream) to reduce
    overlinking.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 13 Aug 2011 14:31:25 +0200